org.springframework.jmx.support

## Enum RegistrationPolicy

- java.lang.Object
- - java.lang.Enum<RegistrationPolicy>
  - - org.springframework.jmx.support.RegistrationPolicy

All Implemented Interfaces:
  Serializable, Comparable<RegistrationPolicy>

    public enum RegistrationPolicy
    extends Enum<RegistrationPolicy>

Indicates registration behavior when attempting to register an MBean that already exists.

Since:
  3.2
Author:
  Phillip Webb, Chris Beams

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FAIL_ON_EXISTING` Registration should fail when attempting to register an MBean under a name that already exists.
`IGNORE_EXISTING` Registration should ignore the affected MBean when attempting to register an MBean under a name that already exists.
`REPLACE_EXISTING` Registration should replace the affected MBean when attempting to register an MBean under a name that already exists.

### Method Summary

Methods
`static RegistrationPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RegistrationPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FAIL_ON_EXISTING

    public static final RegistrationPolicy FAIL_ON_EXISTING

Registration should fail when attempting to register an MBean under a name that already exists.

#### IGNORE_EXISTING

    public static final RegistrationPolicy IGNORE_EXISTING

Registration should ignore the affected MBean when attempting to register an MBean under a name that already exists.

#### REPLACE_EXISTING

    public static final RegistrationPolicy REPLACE_EXISTING

Registration should replace the affected MBean when attempting to register an MBean under a name that already exists.

### Method Detail

#### values

    public static RegistrationPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RegistrationPolicy c : RegistrationPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RegistrationPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null